.premium-services {
  display: flex;
  justify-content: center;
  padding: 20px 20px;
}

.service-card {
  position: relative;
  width: 100%;
  height: 250px;
  overflow: hidden;
  border-radius: 35px;
  background: rgba(255,255,255,.18);
  backdrop-filter: blur(24px);
  -webkit-backdrop-filter: blur(24px);
  border: 1px solid rgba(255,255,255,.4);
  box-shadow: 0 20px 60px rgba(0,40,60,.12),0 5px 15px rgba(255,255,255,.5) inset;
  transition: .45s;
  cursor: pointer;
}

.service-card:hover {
  transform: translateY(-8px)scale(1.02);
}

.card-bg {
  position: absolute;
  inset: 0;
  transition: 1s;
}

.service-card:hover .card-bg {
  transform: scale(1.12);
}

.glass-layer {
  position: absolute;
  inset: 0;
  background: linear-gradient(180deg,rgba(255,255,255,.05),rgba(255,255,255,.35));
  /*backdrop-filter: blur(2px);
  -webkit-backdrop-filter: blur(2px);*/
}

.spotlight {
  position: absolute;
  width: 240px;
  height: 240px;
  background: radial-gradient(circle,rgba(94,240,199,.35),transparent 70%);
  top: -70px;
  right: -70px;
  filter: blur(20px);
  transition: .5s;
}

.service-card:hover .spotlight {
  transform: scale(1.4);
}

.content {
  position: relative;
  z-index: 5;
  display: flex;
  flex-direction: column;
  height: 100%;
  justify-content: flex-end;
  color: white;
}

.icon {
  width: 75px;
  margin-bottom: 20px;
  filter: drop-shadow(0 10px 20px rgba(0,255,180,.5));
  animation: float 4s ease-in-out infinite;
}

.badge {
  display: inline-block;
  border-radius: 30px;
  background: rgba(255,255,255,.18);
  backdrop-filter: blur(12px);
  -webkit-backdrop-filter: blur(12px);
  margin-bottom: 18px;
  font-size: .75rem;
  color: green;
}

.content h2 {
  font-size: 1.2rem;
  /*margin-bottom: 15px;*/
}

.content a {
  display: inline-flex;
  align-items: center;
  gap: 10px;
  text-decoration: none;
  color: white;
  font-weight: bold;
  transition: .3s;
}

.content a:hover {
  gap: 18px;
}

.service-card::after {
  content: "";
  position: absolute;
  top: -150%;
  left: -30%;
  width: 60%;
  height: 400%;
  background: linear-gradient(transparent,rgba(255,255,255,.10),transparent);
  transform: rotate(60deg);
  animation: shine 2s linear infinite;
}

@keyframes shine {
  100% {
    left: 160%;
  }
}

@keyframes float {
  50% {
    transform: translateY(-8px);
  }
}

@media (max-width:768px) {
  .service-card {
    width: 100%;
    height: 200px;
  }
}

.diet-form {
  opacity: 0;
  transform: translateY(40px);
  max-height: 0;
  overflow: hidden;
  transition: 6s ease;
}

.diet-form.show {
  opacity: 1;
  transform: translateY(0);
  max-height: 2500px;
}

.diet-card {
  cursor: pointer;
  transition: 3s;
}

.diet-card.active {
  border: 5px solid #198754;
  /*background: white;*/
}

/* ---------- Label ---------- */

label, .form-label {
  font-size: 15px;
  font-weight: 600;
  color: #6c757d;
  /*margin-bottom: 8px;*/
  margin: 8px;
}

.dietForm label, .form-label {
  font-size: 15px;
  font-weight: 600;
  color: #d3e8a3;
  /*margin-bottom: 8px;*/
  margin: 8px;
}

/* ---------- Input ---------- */

.form-control {
  height: 52px;
  width: 100px;
  border: 1px solid #d8dde5;
  border-radius: 12px;
  background: #fff;
  transition: .25s;
  box-shadow: none;
  font-size: 15px;
  padding-inline: 15px;
}

.form-control:hover {
  border-color: #bfc8d4;
}

.form-control:focus {
  border-color: #2fb344;
  box-shadow: 0 0 0 4px rgba(47,179,68,.12);
}

/* ---------- Select ---------- */

.form-select {
  height: 42px;
  width: 120px;
  border-radius: 12px;
  border: 1px solid #d8dde5;
  background-color: #fff;
  transition: .25s;
  box-shadow: none;
  padding-inline: 15px;
}

.form-select:hover {
  border-color: #bfc8d4;
}

.form-select:focus {
  border-color: #2fb344;
  box-shadow: 0 0 0 4px rgba(47,179,68,.12);
}

::placeholder {
  color: #adb5bd;
}

/* ---------- Checkbox ---------- */

.form-check {
  margin-bottom: 12px;
}

.form-check-input {
  width: 20px;
  height: 20px;
  border-radius: 6px;
  border: 2px solid #cfd5dc;
  cursor: pointer;
  box-shadow: none;
}

.form-check-input:checked {
  background-color: #2fb344;
  border-color: #2fb344;
}

.form-check-input[value="skipped"]:checked {
  background-color: #ff9800;
  border-color: #ff9800;
}

.form-check-input[value="normal"]:checked {
  background-color: #2fb344;
  border-color: #2fb344;
}

.form-check-input[value="overeat"]:checked {
  background-color: red;
  border-color: red;
}

.form-check-input:focus {
  box-shadow: 0 0 0 4px rgba(47,179,68,.12);
}

.form-check-label {
  margin-right: 8px;
  cursor: pointer;
  color: snow;
  font-size: 12px;
}

.meal-table .form-check-label {
  /*margin-right: 8px;*/
  cursor: pointer;
  color: #444f51;
  font-size: 10px;
}

/* ---------- Field spacing ---------- */

.mb-form {
  margin-bottom: 22px;
}

.meal-table th {
  background-color: #198754;
  color: #fff;
}

.meal-table td {
  background-color: #74cc7c;
  color: #fff;
}

.meal-table label {
  color: snow;
}

.meal-table select {
  background-color: #74cc7c;
  font-size: 14px;
  font-family: 'Akaya Kanadaka', serif;
  text-align: center;
}

